> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scanoss.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the same message that was sent, used for health checks and connectivity testing



## OpenAPI

````yaml /api-reference/licenses-openapi.json post /v2/licenses/echo
openapi: 3.0.0
info:
  title: SCANOSS License Service
  description: License service provides license intelligence for software components.
  version: '2.0'
  contact:
    name: scanoss-licenses
    url: https://github.com/scanoss/licenses
    email: support@scanoss.com
servers:
  - url: http://api.scanoss.com
  - url: https://api.scanoss.com
security: []
tags:
  - name: License
paths:
  /v2/licenses/echo:
    post:
      tags:
        - License
      summary: >-
        Returns the same message that was sent, used for health checks and
        connectivity testing
      operationId: License_Echo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v2EchoRequest'
        description: Echo Message Request.
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2EchoResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v2EchoRequest:
      type: object
      properties:
        message:
          type: string
      description: Echo Message Request.
    v2EchoResponse:
      type: object
      properties:
        message:
          type: string
      description: Echo Message Response.
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````